<?php 
$avatar = $wo['chat']['page']['avatar'];
$name = $wo['chat']['page']['page_name'];
if ($wo['chat']['page']['is_page_onwer'] == 1) {
	$avatar = $wo['chat']['user']['avatar'];
	$name = $wo['chat']['user']['name'];
} ?>
<div class="chat-wrapper chat_page_<?php echo $wo['chat']['page']['page_id'];?>" id="chat_page_<?php echo $wo['chat']['page']['page_id'];?>">
	<div class="valign online-toggle-hdr">
		<div class="valign wow_chat_hdr_usr">
			<?php if ($wo['chat']['page']['is_page_onwer'] == 1) { ?>
				<div class="avatar">
					<a href="<?php echo $wo['chat']['recipient']['url'];?>" data-ajax="?link1=timeline&u=<?php echo $wo['chat']['recipient']['username'];?>">
						<img class="cht_hd_avtr" src="<?php echo $wo['chat']['user']['avatar'];?>" alt="" />
					</a>
				</div>
				<div>
					<h3><?php echo $name;?></h3>
					<p class="chat-tab-status <?php echo (Wo_IsOnline($wo['chat']['user']['user_id']) === true) ? 'active' : 'hidden'; ?>"><?php echo $wo['lang']['online'];?></p>
				</div>
			<?php }else{ ?>
				<div class="avatar">
					<a href="<?php echo $wo['chat']['recipient']['url'];?>" data-ajax="?link1=timeline&u=<?php echo $wo['chat']['recipient']['username'];?>">
						<img class="cht_hd_avtr" src="<?php echo $wo['chat']['page']['avatar'];?>" alt="" />
					</a>
				</div>
				<div><h3><?php echo $name;?></h3></div>
			<?php } ?>
		</div>
		<div class="close-chat">
			<div class="dropdown">
				<a href="#" data-toggle="dropdown" role="button" aria-expanded="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M8.12 9.29L12 13.17l3.88-3.88c.39-.39 1.02-.39 1.41 0 .39.39.39 1.02 0 1.41l-4.59 4.59c-.39.39-1.02.39-1.41 0L6.7 10.7c-.39-.39-.39-1.02 0-1.41.39-.38 1.03-.39 1.42 0z" /></svg>
				</a>
				<ul class="dropdown-menu dropdown-menu-right tag_create_menu" role="menu">
					<li>
						<a class="page_chat_tab_<?php echo $wo['chat']['page']['page_id'];?>" href="<?php echo Wo_SeoLink("index.php?link1=messages&user=" . $wo['chat']['to_id']);?>&page=<?php echo $wo['chat']['page']['page_id'];?>" target="_blank" onclick="Wo_CloseChat(<?php echo $wo['chat']['page']['page_id'];?>,'page');">
							<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="currentColor" class="hover_path" d="M6.455 19L2 22.5V4a1 1 0 0 1 1-1h18a1 1 0 0 1 1 1v14a1 1 0 0 1-1 1H6.455zM13 11h3l-4-4-4 4h3v4h2v-4z"></path><path fill="currentColor" d="M6.455 19L2 22.5V4a1 1 0 0 1 1-1h18a1 1 0 0 1 1 1v14a1 1 0 0 1-1 1H6.455zM4 18.385L5.763 17H20V5H4v13.385zM13 11v4h-2v-4H8l4-4 4 4h-3z"></path></svg> <?php echo $wo['lang']['open_in_new_tab'];?>
						</a>
					</li>
				</ul>
			</div>
			<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" onclick="javascript:$('.chat-tab-container-<?php echo $wo['chat']['user']['user_id'];?>').slideToggle(100);"><path fill="currentColor" d="M18 13H6c-.55 0-1-.45-1-1s.45-1 1-1h12c.55 0 1 .45 1 1s-.45 1-1 1z" /></svg>
			<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" onclick="Wo_CloseChat(<?php echo $wo['chat']['page']['page_id'];?>,'page');"><path fill="currentColor" d="M18.3 5.71c-.39-.39-1.02-.39-1.41 0L12 10.59 7.11 5.7c-.39-.39-1.02-.39-1.41 0-.39.39-.39 1.02 0 1.41L10.59 12 5.7 16.89c-.39.39-.39 1.02 0 1.41.39.39 1.02.39 1.41 0L12 13.41l4.89 4.89c.39.39 1.02.39 1.41 0 .39-.39.39-1.02 0-1.41L13.41 12l4.89-4.89c.38-.38.38-1.02 0-1.4z" /></svg>
		</div>
	</div>

	<div class="chat-tab-container chat-tab-container-<?php echo $wo['chat']['user']['user_id'];?> chat-tab-box-<?php echo $wo['chat']['user']['user_id'];?>">
		<div class="chat-messages-wrapper tag_scroll page-messages-wrapper-<?php echo $wo['chat']['page']['page_id'];?>">
			<div class="chat-messages">
				<?php if (count($wo['chat']['page']['messages']) > 0): ?>
					<?php foreach ($wo['chat']['page']['messages'] as $wo['chatMessage']): ?>
						<?php echo Wo_LoadPage('chat/page-chat-list'); ?>
					<?php endforeach; ?>
				<?php else: ?>
					<div class="empty_state" id="no_messages_<?php echo $wo['chat']['page']['page'];?>"><svg xmlns="http://www.w3.org/2000/svg" id="bold" enable-background="new 0 0 32 32" height="512" viewBox="0 0 32 32" width="512"><path d="m26 32h-20c-3.314 0-6-2.686-6-6v-20c0-3.314 2.686-6 6-6h20c3.314 0 6 2.686 6 6v20c0 3.314-2.686 6-6 6z" fill="#f5e6fe"/><path d="m22.333 11.347v2.153c0 1.193-.973 2.167-2.167 2.167h-5.5v1.173c0 1.013.82 1.833 1.833 1.833h.833v1.5c0 .2.12.38.3.46.067.027.133.04.2.04.127 0 .247-.047.34-.133l2.02-1.867h1.973c1.013 0 1.833-.82 1.833-1.833v-3.667c.002-.96-.731-1.74-1.665-1.826z" fill="#d9a4fc"/><circle cx="11.667" cy="17.667" fill="#be63f9" r="2"/><path d="m13.5 20.667h-3.667c-1.011 0-1.833.822-1.833 1.833v1c0 .276.224.5.5.5h6.333c.276 0 .5-.224.5-.5v-1c0-1.011-.822-1.833-1.833-1.833z" fill="#be63f9"/><g fill="#d9a4fc"><path d="m21.333 10v3.5c0 .64-.527 1.167-1.167 1.167h-7c-.639 0-1.166-.527-1.166-1.167v-3.5c0-.06.007-.12.02-.18l4.307 2.547c.207.12.473.12.68 0l4.307-2.547c.013.06.019.12.019.18z"/><path d="m21.313 8.987-4.307 2.547c-.207.12-.473.12-.68 0l-4.306-2.547c.08-.56.567-.987 1.147-.987h7c.58 0 1.066.427 1.146.987z"/></g></svg> <?php echo $wo['lang']['no_messages']; ?></div>
				<?php endif; ?>
			</div>
			<div class="clear"></div>
		</div>
		<div class="chat-textarea btn-group">
			<form  action="#" id="hren" class="page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>">
				<div class="msg_progress"><div class="indeterminate"></div></div>
				<div class="valign chat-btns-w">
					<span class="btn btn-file chat_optns" id="progressIcon">
						<?php if($wo['config']['fileSharing'] == 1) { ?>
							<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="21" height="21" class="select-color"><path fill="<?php echo $wo['chat']['color']; ?>" d="M18.08,12.42,11.9,18.61a4.25,4.25,0,0,1-6-6l8-8a2.57,2.57,0,0,1,3.54,0,2.52,2.52,0,0,1,0,3.54l-6.9,6.89A.75.75,0,1,1,9.42,14l5.13-5.12a1,1,0,0,0-1.42-1.42L8,12.6a2.74,2.74,0,0,0,0,3.89,2.82,2.82,0,0,0,3.89,0l6.89-6.9a4.5,4.5,0,0,0-6.36-6.36l-8,8A6.25,6.25,0,0,0,13.31,20l6.19-6.18a1,1,0,1,0-1.42-1.42Z"/></svg>
							<input type="file" id="sendMessasgeFile" name="sendMessageFile" class="pointer" onchange="Wo_SubmitChatPageForm(event,<?php echo $wo['chat']['page']['page_id'];?>);" />
						<?php } else { ?>
							<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="21" height="21" class="select-color"><path fill="<?php echo $wo['chat']['color']; ?>" d="M19,2H5A3,3,0,0,0,2,5V19a3,3,0,0,0,3,3H19a2.81,2.81,0,0,0,.49-.05l.3-.07.07,0h0l.05,0,.37-.14.13-.07c.1-.06.21-.11.31-.18a3.79,3.79,0,0,0,.38-.32l.07-.09a2.69,2.69,0,0,0,.27-.32l.09-.13a2.31,2.31,0,0,0,.18-.35,1,1,0,0,0,.07-.15c.05-.12.08-.25.12-.38l0-.15A2.6,2.6,0,0,0,22,19V5A3,3,0,0,0,19,2ZM5,20a1,1,0,0,1-1-1V14.69l3.29-3.3h0a1,1,0,0,1,1.42,0L17.31,20Zm15-1a1,1,0,0,1-.07.36,1,1,0,0,1-.08.14.94.94,0,0,1-.09.12l-5.35-5.35.88-.88a1,1,0,0,1,1.42,0h0L20,16.69Zm0-5.14L18.12,12a3.08,3.08,0,0,0-4.24,0l-.88.88L10.12,10a3.08,3.08,0,0,0-4.24,0L4,11.86V5A1,1,0,0,1,5,4H19a1,1,0,0,1,1,1Z"/></svg>
							<input type="file" id="sendMessasgeFile" name="sendMessageFile" onchange="Wo_SubmitChatPageForm(event,<?php echo $wo['chat']['page']['page_id'];?>);" accept="image/x-png, image/gif, image/jpeg"  />
						<?php } ?>
					</span>
					<?php if ($wo['config']['audio_upload'] == 1) { ?>
						<span class="btn btn-file record-chat-audio chat_optns" data-record="0" data-chat-tab="<?php echo $wo['chat']['user']['user_id'];?>">
							<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="21" height="21" class="select-color"><rect width="8" height="14.1" x="8" y=".95" opacity=".5" fill="<?php echo $wo['chat']['color']; ?>" rx="4"></rect><path fill="<?php echo $wo['chat']['color']; ?>" d="M20,11a1,1,0,0,0-2,0A6,6,0,0,1,6,11a1,1,0,0,0-2,0,8.007,8.007,0,0,0,7,7.93054V21H9a1,1,0,0,0,0,2h6a1,1,0,0,0,0-2H13V18.93054A8.007,8.007,0,0,0,20,11Z"/></svg>
						</span>
						<span data-chat-rtime="<?php echo $wo['chat']['user']['user_id'];?>" class="record_timei hidden">00:00</span>
					<?php } ?>
					<?php if ($wo['config']['stickers'] == 1): ?>
						<span class="dropup chat_optns" id="chat-gifs">
							<span class="btn btn-file dropdown-toggle" data-toggle="dropdown" aria-expanded="true" role="button">
								<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"width="21" height="21" class="select-color"><path fill="<?php echo $wo['chat']['color']; ?>" d="M11,8H13V16H11V8M7.67,8H4.33C3.53,8 3,8.67 3,9.33V14.67C3,15.33 3.53,16 4.33,16H7.67C8.47,16 9,15.33 9,14.67V12H7V14H5V10H9V9.33C9,8.67 8.47,8 7.67,8M21,10V8H15V16H17V14H19.5V12H17V10H21Z" /></svg>
							</span>
							<ul class="dropdown-menu" role="menu" onclick="event.stopPropagation()">
								<div class="w100 tag_chat_GIF" id="chat-box-stickers">
									<input type="text" class="form-control" placeholder="<?php echo $wo['lang']['search'] ?> GIFs" onkeyup="Wo_GetChatStickers(this.value)" data-user-id="<?php echo($wo['chat']['user']['user_id']) ?>">
									<div class="tag_chat_GIF_cont tag_scroll" id="chat-box-stickers-cont"></div>
								</div>
							</ul>
						</span>
					<?php endif; ?>
					<?php if ($wo['config']['stickers_system'] == 1): ?>
						<span class="dropup chat_optns" id="chat-sticker-system">
							<span class="btn btn-file dropdown-toggle" data-toggle="dropdown" aria-expanded="true" role="button">
								<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="21" height="21" class="select-color"><path fill="<?php echo $wo['chat']['color']; ?>" d="M21.796,9.982C20.849,5.357,16.729,2,12,2C6.486,2,2,6.486,2,12c0,4.729,3.357,8.849,7.982,9.796	c0.067,0.014,0.135,0.021,0.201,0.021c0.263,0,0.518-0.104,0.707-0.293l10.633-10.633C21.761,10.653,21.863,10.313,21.796,9.982z M11,18c0-0.545,0.055-1.088,0.162-1.612c0.105-0.515,0.263-1.02,0.466-1.5c0.201-0.476,0.45-0.934,0.737-1.359	c0.29-0.428,0.619-0.826,0.978-1.186c0.359-0.358,0.758-0.688,1.184-0.977c0.428-0.288,0.886-0.537,1.36-0.738	c0.481-0.203,0.986-0.36,1.501-0.466c0.704-0.145,1.442-0.183,2.17-0.134l-8.529,8.529C11.016,18.372,11,18.187,11,18z M4,12	c0-4.411,3.589-8,8-8c2.909,0,5.528,1.589,6.929,4.005c-0.655,0.004-1.31,0.068-1.943,0.198c-0.643,0.132-1.274,0.328-1.879,0.583	c-0.594,0.252-1.164,0.563-1.699,0.923c-0.533,0.361-1.03,0.771-1.479,1.22s-0.858,0.945-1.221,1.48	c-0.359,0.533-0.67,1.104-0.922,1.698c-0.255,0.604-0.451,1.235-0.583,1.878C9.068,16.643,9,17.32,9,18	c0,0.491,0.048,0.979,0.119,1.461C6.089,18.288,4,15.336,4,12z"/></svg>
							</span>
							<ul class="dropdown-menu" role="menu">
								<div class="tag_chat_stickers tag_scroll" id="chat-box-internal-stickers">
										<?php 
											$stickers_system = Wo_GetAllStickers(50000);
											if( count( $stickers_system ) > 0 ){
												foreach ($stickers_system as $wo['stickerlist']) {
													echo '<img alt="gif" src="'. Wo_GetMedia( $wo['stickerlist']['media_file'] ).'" data-gif="'.Wo_GetMedia( $wo['stickerlist']['media_file'] ).'" onclick="Wo_ChatSticker(this);" data-user-id="'.$wo['chat']['user']['user_id'].'" autoplay loop>';
												}
											} else {
												echo '<div class="empty_state"><svg height="512pt" viewBox="0 0 512 512" width="512pt" xmlns="http://www.w3.org/2000/svg"><path d="m416 512h-320c-53.023438 0-96-42.976562-96-96v-320c0-53.023438 42.976562-96 96-96h320c53.023438 0 96 42.976562 96 96v320c0 53.023438-42.976562 96-96 96zm0 0" fill="#fff9dd"/><path d="m256 128c-70.574219 0-128 57.425781-128 128s57.425781 128 128 128 128-57.425781 128-128-57.425781-128-128-128zm0 202.671875c-5.886719 0-10.671875-4.769531-10.671875-10.671875 0-5.886719 4.769531-10.671875 10.671875-10.671875 5.886719 0 10.671875 4.769531 10.671875 10.671875 0 5.886719-4.785156 10.671875-10.671875 10.671875zm10.671875-53.34375c0 5.902344-4.785156 10.671875-10.671875 10.671875s-10.671875-4.785156-10.671875-10.671875v-85.328125c0-5.886719 4.785156-10.671875 10.671875-10.671875s10.671875 4.785156 10.671875 10.671875zm0 0" fill="#ffd200"/></svg>'. $wo['lang']['no_result'] .'</div>';
											}
										?>
								</div>
							</ul>
						</span>
					<?php endif; ?>
					<span class="chat_optns" onclick="Wo_AddEmoToGroup(':mortar_board:', <?php echo $wo['chat']['page']['page_id'];?>);"><i class="pointer twa-lg twa twa-mortar-board"></i></span>
					<span class="chat_optns" onclick="Wo_AddEmoToGroup('*_*', <?php echo $wo['chat']['page']['page_id'];?>);"><i class="pointer twa-lg twa twa-heart-eyes"></i></span>
					<span class="chat_optns" onclick="Wo_AddEmoToGroup(':moneybag:', <?php echo $wo['chat']['page']['page_id'];?>);"><i class="pointer twa-lg twa twa-moneybag"></i></span>
					<span class="chat_optns" onclick="Wo_AddEmoToGroup(':__(', <?php echo $wo['chat']['page']['page_id'];?>);"><i class="pointer twa-lg twa twa-sob"></i></span>
				</div>
				<textarea name="textSendMessage" id="sendMessage" class="form-control" placeholder="<?php echo $wo['lang']['write_something'];?>" onkeydown="Wo_SubmitChatPageForm(event, <?php echo $wo['chat']['page']['page_id'];?>);" dir="auto" ></textarea>
				<div class="dropup tag_chat_emoji">
					<div class="emo-btn-<?php echo $wo['chat']['user']['user_id'];?> dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
						<svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" viewBox="0 0 24 24"><path fill="currentColor" d="M12,22c5.514,0,10-4.486,10-10S17.514,2,12,2S2,6.486,2,12S6.486,22,12,22z M15.493,9c0.824,0,1.493,0.669,1.493,1.493 s-0.669,1.493-1.493,1.493S14,11.317,14,10.493S14.669,9,15.493,9z M11.192,15.919c0.529,0.107,1.085,0.107,1.616,0 c0.253-0.052,0.505-0.131,0.75-0.233c0.234-0.1,0.464-0.224,0.679-0.368c0.208-0.142,0.407-0.306,0.591-0.489 c0.183-0.182,0.347-0.381,0.489-0.592l1.658,1.117c-0.215,0.319-0.462,0.619-0.734,0.891c-0.271,0.271-0.57,0.518-0.885,0.73 c-0.322,0.218-0.665,0.403-1.021,0.554c-0.368,0.154-0.746,0.272-1.128,0.35C12.811,17.959,12.404,18,12,18 s-0.811-0.041-1.207-0.122c-0.383-0.077-0.761-0.195-1.127-0.349c-0.357-0.151-0.7-0.337-1.021-0.554 c-0.316-0.214-0.615-0.46-0.888-0.733c-0.271-0.27-0.519-0.569-0.733-0.889l1.658-1.117c0.143,0.211,0.307,0.41,0.488,0.59 c0.185,0.186,0.384,0.35,0.594,0.492c0.213,0.144,0.442,0.268,0.679,0.368C10.687,15.788,10.938,15.867,11.192,15.919z M8.5,9 C9.328,9,10,9.672,10,10.5S9.328,12,8.5,12S7,11.328,7,10.5S7.672,9,8.5,9z"/></svg>
					</div>
					<ul class="emo-container dropdown-menu dropdown-menu-right tag_scroll emo-page-container-<?php echo $wo['chat']['user']['user_id'];?>" role="menu">
						<?php  
							foreach ($wo['emo'] as $code => $name) {
								$code   = $code;
								$type   = 'page';
								echo  '<span onclick="Wo_AddEmoToGroup(\'' . $code . '\', ' . $wo['chat']['page']['page_id'] .',\'' . $type . '\');"><i class="pointer twa-lg twa twa-' . $name . '"></i></span>'; 
							} 
						?>
					</ul>
				</div>
				<input type="hidden" id="color" value="<?php echo $wo['chat']['color'];?>" />
				<input type="hidden" name="message-record" class="message-record" >
				<input type="hidden" name="media-name" class="media-name" >
				<input type="hidden" name="chatSticker"  id='chatSticker_page_<?php echo $wo['chat']['user']['user_id'];?>'>
			</form>
		</div>
	</div>
</div>

<script type="text/javascript">
jQuery(document).ready(function($) {

	var chat_messages_wrapper = $('.page-messages-wrapper-<?php echo $wo['chat']['page']['page_id'];?>');

	$('[data-toggle="tooltip"]').tooltip(); 
    var main_hash_id = $('.main_session').val();
    $('.emo-btn-<?php echo $wo['chat']['page']['page_id'];?>').click(function () {
        $('.emo-page-container-<?php echo $wo['chat']['page']['page_id'];?>').toggle();
    });

    $(".chat-colors-cont a").click(function(event) {
      var recipient_id = $(this).attr('data-recipient-u-id');
      var page_id = $(this).attr('page_id');
      $.ajax({
        url:  Wo_Ajax_Requests_File(),
        type: 'get',
        data:{f:'chat',s:'set-chat-color',color:$(this).attr('data-chat-color'),recipient_user:recipient_id,page_id:page_id},
        dataType: 'json',
        success: function(data){
          if (data['status'] == 200) {
             $(".chat_page_" + page_id).find('.outgoing').css('background', data['color']);
             $(".chat_page_" + page_id).find('.outgoing').css('color', '#fff');
             $(".chat_page_" + page_id).find('.select-color').css('color', data['color']);
             $(".chat_page_" + page_id).find('#color').val(data['color']);
          }
        }
      });
    });

    var page_inter = setInterval(function(){
	  var last_group_message = ($("[data-page-tmessage-id]").length > 0) ? $("[data-page-tmessage-id]").last().attr('data-page-tmessage-id') : 0;
	  $.ajax({
	    url: Wo_Ajax_Requests_File(),
	    type: 'GET',
	    dataType: 'json',
	    data: {f: 'chat',s:'get_new_page_messages',message_id:last_group_message,page_id:'<?php echo $wo['chat']['page']['page_id'];?>'},
	  })
	  .done(function(data) {
	    if (data.status == 200) {
	      if ($(".page-messages-wrapper-<?php echo $wo['chat']['page']['page_id'];?>").find('.no_message').length > 0) {
	        $(".page-messages-wrapper-<?php echo $wo['chat']['page']['page_id'];?>").find('.chat-messages').html(data.html);
	      }else{
	        $(".page-messages-wrapper-<?php echo $wo['chat']['page']['page_id'];?>").find('.chat-messages').append(data.html);
	      }
	      
	      chat_messages_wrapper.scrollTop(chat_messages_wrapper[0].scrollHeight);
	    }
	  })
	  .fail(function() {
	    console.log("error");
	  })
	},5000);

	$(document).on('click', '.page_chat_tab_<?php echo $wo['chat']['page']['page_id'];?>', function(event) {
		clearInterval(page_inter);
	});

	chat_messages_wrapper.scrollTop(chat_messages_wrapper[0].scrollHeight);
	$('.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').ajaxForm({
	    url: Wo_Ajax_Requests_File() + '?f=chat&s=send_message&page_id=<?php echo $wo['chat']['page']['page_id'];?>&from_id=<?php echo $wo['chat']['from_id'];?>&to_id=<?php echo $wo['chat']['to_id'];?>&hash=' + main_hash_id,
	    type:"POST",
	    uploadProgress: function() {
		  $('form.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').find('.msg_progress').fadeIn(100);
	    },
	    success: function(data) {
	    	$('form.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').find('input.message-record').val('');   
            $('form.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').find('input.media-name').val('');
            $("#chatSticker_page_<?php echo $wo['chat']['user']['user_id'];?>").val('');
            $("#chat-gifs").removeClass('open');
	        if (data.status == 200) {

	          if ($('#no_messages_<?php echo $wo['chat']['page']['page_id'];?>').length > 0) {
	            $(".page-messages-wrapper-<?php echo $wo['chat']['page']['page_id'];?>").find('.chat-messages').html(data.html);
	          }
	          else{
	            $(".page-messages-wrapper-<?php echo $wo['chat']['page']['page_id'];?>").find('.chat-messages').append(data.html);
	          }
	          if (data.invalid_file == 1) {
					$("body").snackbar({
						message: "<?php echo str_replace('{file_size}', Wo_SizeUnits($wo['config']['maxUpload']), $wo['lang']['file_too_big']); ?>"
					});
	          }
	          if (data.invalid_file == 2) {
					$("body").snackbar({
						message: "<?php echo $wo['lang']['file_not_supported']; ?>"
					});
	          }
	          if (data.file == true) {
	            $('form.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').find('.msg_progress').fadeOut(100);
	          }
	          
	        }
	        else if(data.status == 500 && data.invalid_file == 1){
				$("body").snackbar({
					message: "<?php echo str_replace('{file_size}', Wo_SizeUnits($wo['config']['maxUpload']), $wo['lang']['file_too_big']); ?>"
				});
	          $('form.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').find('.msg_progress').fadeOut(100);
	        }
	        else if(data.status == 500 && data.invalid_file == 2){
				$("body").snackbar({
					message: "<?php echo $wo['lang']['file_not_supported']; ?>"
				});
	          $('form.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').find('.msg_progress').fadeOut(100);
	        }
	        else if(data.status == 500 && data.invalid_file == 3){
				$("body").snackbar({
					message: "<?php echo $wo['lang']['free_plan_upload']; ?>",
					option: true,
					optionText: "<?php echo $wo['lang']['upgrade']; ?>",
					callback: function() {
						window.location.href = "<?php echo Wo_SeoLink('index.php?link1=go-pro'); ?>";
					}
				});
            }
	        $(".chat_page_<?php echo $wo['chat']['page']['page_id'];?>").find('#sendMessasgeFile').val('');
	        $(".chat_page_<?php echo $wo['chat']['page']['page_id'];?>").find('textarea').val('');
	        setTimeout(function() {
	              chat_messages_wrapper.scrollTop(chat_messages_wrapper[0].scrollHeight);
	        }, 100);
	    }
	});
});

function Wo_SubmitChatPageForm(e, id) {
	document.title = document_title;
	chat_tab_container = $('.chat_main_' + id);
	if (e.keyCode == 13 && e.shiftKey == 0 || $("#sendMessasgeFile").val() != '') {
	    e.preventDefault();
	    Wo_RegisterTabMessage(id,'page');
	}
}

function Wo_ChatSticker(self){
  if (!self) {
    return false;
  }
  $('#chatSticker_page_'+$(self).attr('data-user-id')).val($(self).attr('data-gif'));
  $('.page-chat-sending-<?php echo $wo['chat']['page']['page_id'];?>').submit();
  $("#chat-sticker-system").removeClass("open");
}

$(document).ready(function(){
	$('.sun_cht_dd_menu_<?php echo $wo['chat']['user']['user_id'];?>').on("click", function(e){
    e.stopPropagation();
  });
  $('.sun_cht_dd_menu_sub_<?php echo $wo['chat']['user']['user_id'];?> .dropdown-toggle, .chat_dd_sub_<?php echo $wo['chat']['user']['user_id'];?> a.dropdown-toggle').on("click", function(e){
    $(this).next('ul').toggle();
    e.stopPropagation();
    e.preventDefault();
  });
});

function escapeHTML(string) {
    var pre = document.createElement('pre');
    var text = document.createTextNode( string );
    pre.appendChild(text);
    return pre.innerHTML;
}

function Wo_GetChatStickers(self){
  if (!self) {
    return false;
  }
  keyword = $(self).val();
  var chat_gif_loading =  '<div class="skel skel_chat_gif"></div><div class="skel skel_chat_gif"></div><div class="skel skel_chat_gif"></div><div class="skel skel_chat_gif"></div><div class="skel skel_chat_gif"></div><div class="skel skel_chat_gif"></div>';
  $('#chat-box-stickers-cont-'+$(self).attr('data-user-id')).html(chat_gif_loading);
  Wo_Delay(function(){
    $.ajax({
      url: 'https://api.giphy.com/v1/gifs/search?',
      type: 'GET',
      dataType: 'json',
      data: {q:keyword,api_key:'<?php echo $wo['config']['giphy_api'];?>',limit:15},
    })
    .done(function(data) {
      if (data.meta.status == 200 && data.data.length > 0) {
        $('#chat-box-stickers-cont-'+$(self).attr('data-user-id')).empty();
        for (var i = 0; i < data.data.length; i++) {
          appended = true;
          if (appended == true) {
              appended = false;
            $('#chat-box-stickers-cont-'+$(self).attr('data-user-id')).append($('<img alt="gif" src="'+data.data[i].images.fixed_height_small.url+'" data-gif="' + data.data[i].images.fixed_height.url + '" onclick="Wo_ChatSticker(this)" data-user-id="'+$(self).attr('data-user-id')+'" autoplay loop>'));
            appended = true;
          } 
        }
      }
      else{
		$('#chat-box-stickers-cont-'+$(self).attr('data-user-id')).html('<div class="empty_state"><svg height="512pt" viewBox="0 0 512 512" width="512pt" xmlns="http://www.w3.org/2000/svg"><path d="m416 512h-320c-53.023438 0-96-42.976562-96-96v-320c0-53.023438 42.976562-96 96-96h320c53.023438 0 96 42.976562 96 96v320c0 53.023438-42.976562 96-96 96zm0 0" fill="#f5e6fe"/><path d="m229.425781 303.902344c0-39.359375 30.652344-71.644532 69.328125-74.398438v-69.601562c0-17.644532-14.355468-32-32-32h-106.675781c-17.644531 0-32 14.355468-32 32v149.328125c0 17.648437 14.355469 32 32 32h79.441406c-6.382812-10.992188-10.09375-23.710938-10.09375-37.328125zm-50.769531-46.078125c-7.039062-7.039063-19.425781-7.039063-26.464844 0l-2.765625 2.769531v-100.691406c0-5.886719 4.78125-10.671875 10.671875-10.671875h106.671875c5.886719 0 10.671875 4.785156 10.671875 10.671875v68.691406l-8.113281-8.113281c-7.296875-7.296875-19.167969-7.296875-26.464844 0l-50.765625 50.765625zm0 0" fill="#be63f9"/><path d="m381.328125 365.34375-28.625-28.625c6.351563-9.375 10.050781-20.65625 10.050781-32.796875 0-32.335937-26.320312-58.675781-58.675781-58.675781-32.351563 0-58.671875 26.320312-58.671875 58.675781 0 32.351563 26.320312 58.671875 58.671875 58.671875 12.515625 0 24.097656-3.96875 33.632813-10.671875l28.511718 28.511719c2.082032 2.078125 4.816406 3.117187 7.539063 3.117187 2.71875 0 5.453125-1.039062 7.535156-3.117187 4.191406-4.175782 4.191406-10.929688.03125-15.089844zm-77.230469-24.097656c-20.578125 0-37.328125-16.75-37.328125-37.324219 0-20.578125 16.75-37.328125 37.328125-37.328125 20.574219 0 37.328125 16.75 37.328125 37.328125 0 20.574219-16.753906 37.324219-37.328125 37.324219zm0 0" fill="#d9a4fc"/><path d="m202.753906 202.574219c0 11.78125-9.550781 21.328125-21.328125 21.328125-11.78125 0-21.328125-9.546875-21.328125-21.328125 0-11.777344 9.546875-21.328125 21.328125-21.328125 11.777344 0 21.328125 9.550781 21.328125 21.328125zm0 0" fill="#be63f9"/></svg><?php echo $wo['lang']['no_result']; ?></div>');
      }
    })
    .fail(function() {
      console.log("error");
    })
  },1000);
}


function function_record(self) {
	audio_context          = new AudioContext;
    var _SELF = $(self);
    if (!localstream) {
      Wo_CreateUserMedia(); 
    }
    Wo_Delay(function(){
      if(recorder && _SELF.attr('data-record') == 0 && Wo_IsRecordingBufferClean() && $("[data-record='1']").length == 0) {
        Wo_CleanRecordNodes();
        recording_time = $("span[data-chat-rtime='" + _SELF.attr('data-chat-tab') + "']");
        recording_node = "chat";
        chat_tab       = _SELF.attr('data-chat-tab');
        _SELF.attr('data-record','1').html('<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="21" height="21"><path d="M12,22A10,10,0,1,1,22,12,10.01146,10.01146,0,0,1,12,22Z" opacity=".5" fill="#f44336"></path><path d="M15,16H9a.99974.99974,0,0,1-1-1V9A.99974.99974,0,0,1,9,8h6a.99974.99974,0,0,1,1,1v6A.99974.99974,0,0,1,15,16Z" fill="#f44336"></path></svg>');  
        Wo_startRecording();
      }

      else if(recorder && _SELF.attr('data-record') == 1 && $("[data-record='1']").length == 1){
       Wo_stopRecording();
       _SELF.html('<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="21" height="21"><path d="M13.41406,12l3.293-3.293A.99989.99989,0,0,0,15.293,7.293L12,10.58594,8.707,7.293A.99989.99989,0,0,0,7.293,8.707L10.58594,12,7.293,15.293A.99989.99989,0,0,0,8.707,16.707L12,13.41406l3.293,3.293A.99989.99989,0,0,0,16.707,15.293Z" fill="#f44336"></path><path opacity=".5" d="M19.0708,4.9292A9.99962,9.99962,0,1,0,4.9292,19.0708,9.99962,9.99962,0,1,0,19.0708,4.9292ZM16.707,15.293A.99989.99989,0,1,1,15.293,16.707L12,13.41406,8.707,16.707A.99989.99989,0,0,1,7.293,15.293L10.58594,12,7.293,8.707A.99989.99989,0,0,1,8.707,7.293L12,10.58594l3.293-3.293A.99989.99989,0,0,1,16.707,8.707L13.41406,12Z" fill="#f44336"></path></svg>').attr('data-record','2');     
      }

      else if(recorder && _SELF.attr('data-record') == 2){
       Wo_CleanRecordNodes();
       Wo_StopLocalStream();
       _SELF.html('<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="21" height="21"><rect width="8" height="14.1" x="8" y=".95" opacity=".5" fill="currentColor" rx="4"></rect><path fill="currentColor" d="M20,11a1,1,0,0,0-2,0A6,6,0,0,1,6,11a1,1,0,0,0-2,0,8.007,8.007,0,0,0,7,7.93054V21H9a1,1,0,0,0,0,2h6a1,1,0,0,0,0-2H13V18.93054A8.007,8.007,0,0,0,20,11Z"></path></svg>').attr('data-record','0');  
      }
      else{
        return false;
      }
    },500);
}
</script>